## ros-melodic-trajectory-tracker-msgs 0.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(trajectory_tracker_msgs)

set(MESSAGE_DEPENDS
  geometry_msgs
  std_msgs
)

find_package(catkin REQUIRED COMPONENTS message_generation ${MESSAGE_DEPENDS})

add_service_files(
  FILES
    ChangePath.srv
)
add_message_files(
  FILES
    PathWithVelocity.msg
    PoseStampedWithVelocity.msg
    TrajectoryServerStatus.msg
    TrajectoryTrackerStatus.msg
)
generate_messages(DEPENDENCIES ${MESSAGE_DEPENDS})
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS message_runtime ${MESSAGE_DEPENDS}
)

include_directories(include ${catkin_INCLUDE_DIRS})

if(CATKIN_ENABLE_TESTING)
  set(THREADS_PREFER_PTHREAD_FLAG ON)
  find_package(Threads REQUIRED)

  find_package(roscpp REQUIRED)
  find_package(rosunit REQUIRED)

  add_compile_options(-std=c++11)

  catkin_add_gtest(test_path_with_velocity_conversion test/src/test_path_with_velocity_conversion.cpp)
  target_link_libraries(test_path_with_velocity_conversion ${catkin_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

  find_package(roslint REQUIRED)
  roslint_cpp()
  roslint_add_test()
endif()

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

## ros-melodic-trajectory-tracker-msgs 0.8.0

=== debian/changelog ===
ros-melodic-trajectory-tracker-msgs (0.8.0-1stretch) stretch; urgency=high

  * trajectory_tracker_msgs: add path header in TrajectoryTrackerStatus (#26 <https://github.com/at-wat/neonavigation_msgs/issues/26>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 03 Mar 2020 00:00:00 -0000

ros-melodic-trajectory-tracker-msgs (0.7.0-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 29 Jan 2020 00:00:00 -0000

ros-melodic-trajectory-tracker-msgs (0.5.0-1stretch) stretch; urgency=high

  * Drop ROS Indigo and Ubuntu Trusty support (#15 <https://github.com/at-wat/neonavigation_msgs/issues/15>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 02 Oct 2019 00:00:00 -0000

ros-melodic-trajectory-tracker-msgs (0.3.1-1stretch) stretch; urgency=high

  * trajectory_tracker_msgs: fix header install directory (#13 <https://github.com/at-wat/neonavigation_msgs/issues/13>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 09 Jan 2019 00:00:00 -0000

ros-melodic-trajectory-tracker-msgs (0.3.0-1stretch) stretch; urgency=high

  * trajectory_tracker_msgs: add PathWithVelocity message (#9 <https://github.com/at-wat/neonavigation_msgs/issues/9>)
    
      * Add PathWithVelocity
      * Add message converter from Path to PathWithVelocity
      * Add comment of linear_velocity nan value
      * Enable C++11 on test
    
  * Fix package dependencies (#5 <https://github.com/at-wat/neonavigation_msgs/issues/5>)
    
      * Fix package dependencies
      * Migrate to manifest format 2
      * Add catkin_lint test
    
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 21 Dec 2018 00:00:00 -0000

ros-melodic-trajectory-tracker-msgs (0.2.0-1stretch) stretch; urgency=high

  * Fix package dependencies (#2 <https://github.com/at-wat/neonavigation_msgs/issues/2>)
  * Initial drop from neonavigation meta-package
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jun 2018 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-trajectory-tracker-msgs
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rosunit, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-trajectory-tracker-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: Message definitions for trajectory_tracker package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-trajectory-tracker-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-trajectory-tracker-msgs 0.14.0

=== debian/changelog ===
ros-melodic-trajectory-tracker-msgs (0.14.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 06 Jun 2023 00:00:00 -0000

ros-melodic-trajectory-tracker-msgs (0.12.0-1bionic) bionic; urgency=high

  * trajectory_tracker_msgs: rename test target (#37 <https://github.com/at-wat/neonavigation_msgs/issues/37>)
  * Contributors: f-fl0

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-melodic-trajectory-tracker-msgs (0.8.0-1bionic) bionic; urgency=high

  * trajectory_tracker_msgs: add path header in TrajectoryTrackerStatus (#26 <https://github.com/at-wat/neonavigation_msgs/issues/26>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 03 Mar 2020 00:00:00 -0000

ros-melodic-trajectory-tracker-msgs (0.7.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 29 Jan 2020 00:00:00 -0000

ros-melodic-trajectory-tracker-msgs (0.5.0-1bionic) bionic; urgency=high

  * Drop ROS Indigo and Ubuntu Trusty support (#15 <https://github.com/at-wat/neonavigation_msgs/issues/15>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 02 Oct 2019 00:00:00 -0000

ros-melodic-trajectory-tracker-msgs (0.3.1-1bionic) bionic; urgency=high

  * trajectory_tracker_msgs: fix header install directory (#13 <https://github.com/at-wat/neonavigation_msgs/issues/13>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 09 Jan 2019 00:00:00 -0000

ros-melodic-trajectory-tracker-msgs (0.3.0-1bionic) bionic; urgency=high

  * trajectory_tracker_msgs: add PathWithVelocity message (#9 <https://github.com/at-wat/neonavigation_msgs/issues/9>)
    
      * Add PathWithVelocity
      * Add message converter from Path to PathWithVelocity
      * Add comment of linear_velocity nan value
      * Enable C++11 on test
    
  * Fix package dependencies (#5 <https://github.com/at-wat/neonavigation_msgs/issues/5>)
    
      * Fix package dependencies
      * Migrate to manifest format 2
      * Add catkin_lint test
    
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 21 Dec 2018 00:00:00 -0000

ros-melodic-trajectory-tracker-msgs (0.2.0-1bionic) bionic; urgency=high

  * Fix package dependencies (#2 <https://github.com/at-wat/neonavigation_msgs/issues/2>)
  * Initial drop from neonavigation meta-package
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jun 2018 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rosunit, ros-melodic-std-msgs
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-nav-msgs <!nocheck>, ros-melodic-roscpp <!nocheck>, ros-melodic-roslint <!nocheck>, ros-melodic-rosunit <!nocheck>, ros-melodic-std-msgs
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
